if SERVER then
	AddCSLuaFile()
end

SWEP.PrintName = "Inventar"

SWEP.Instructions = "Linksklick um Gegenstände aufzuheben.\nRechtsklick un Inventar zu öffnen."

SWEP.Spawnable = true
SWEP.AdminSpawnable = true
SWEP.ViewModel = "models/weapons/c_arms.mdl"
SWEP.WorldModel = ""
SWEP.UseHands = true

SWEP.Primary.Clipsize = -1
SWEP.Primary.DefaultClip = -1
SWEP.Primary.Automatic = false
SWEP.Primary.Ammo = "none"

SWEP.Secondary.Clipsize = -1
SWEP.Secondary.DefaultClip = -1
SWEP.Secondary.Automatic = false
SWEP.Secondary.Ammo = "none"

SWEP.HoldType = "normal"
SWEP.Slot = 1
SWEP.SlotPos = 4
SWEP.DrawAmmo = false
SWEP.DrawCrosshair = true

function SWEP:Initialize()
	self:SetHoldType(self.HoldType)
end

function SWEP:Deploy()
    return true
end

function SWEP:DrawWorldModel()
end

function SWEP:PreDrawViewModel(vm)
	return true
end

function SWEP:Holster()
	return true
end

function SWEP:OnDrop()
	self:Remove()
end

function SWEP:PrimaryAttack()
	self:SetNextPrimaryFire(CurTime() + 0.2)
	if !SERVER then return end
	self.Owner:PickupItem()
end

function SWEP:SecondaryAttack()
	self:SetNextPrimaryFire(CurTime() + 0.2)
	if !CLIENT then return end
	RunConsoleCommand("darkrp", "inv")
end